Skip to main content
`Ctrl`+`K`

# DMStagSetStencilType

set elementwise ghost/halo stencil type

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagSetStencilType(DM dm, DMStagStencilType stencilType)

Logically Collective; `stencilType` must contain common value

## Input Parameters

- dm - the `DMSTAG` object

- stencilType - the elementwise ghost stencil type: `DMSTAG_STENCIL_BOX`, `DMSTAG_STENCIL_STAR`, or `DMSTAG_STENCIL_NONE`

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetStencilType()`, `DMStagSetStencilWidth()`, `DMStagStencilType`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages